gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Ornaments.HSeparator

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A horizontal separator

Synopsis

- data HSeparator
- class SeparatorClass o => HSeparatorClass o
- castToHSeparator :: GObjectClass obj => obj -> HSeparator
- gTypeHSeparator :: GType
- toHSeparator :: HSeparatorClass o => o -> HSeparator
- hSeparatorNew :: IO HSeparator

# Detail

The `HSeparator` widget is a horizontal separator, used to group the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Separator
    | +----HSeparator

# Types

data HSeparator Source #

#### Instances

Instances details

Eq HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: HSeparator -> HSeparator -> Bool Source # (/=) :: HSeparator -> HSeparator -> Bool Source #
Ord HSeparator Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: HSeparator -> HSeparator -> Ordering Source #

(<) :: HSeparator -> HSeparator -> Bool Source #

(<=) :: HSeparator -> HSeparator -> Bool Source #

(>) :: HSeparator -> HSeparator -> Bool Source #

(>=) :: HSeparator -> HSeparator -> Bool Source #

max :: HSeparator -> HSeparator -> HSeparator Source #

min :: HSeparator -> HSeparator -> HSeparator Source #

GObjectClass HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: HSeparator -> GObject Source # unsafeCastGObject :: GObject -> HSeparator Source #
HSeparatorClass HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types
SeparatorClass HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class SeparatorClass o => HSeparatorClass o Source #

#### Instances

Instances details

HSeparatorClass HSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToHSeparator :: GObjectClass obj => obj -> HSeparator Source #

gTypeHSeparator :: GType Source #

toHSeparator :: HSeparatorClass o => o -> HSeparator Source #

# Constructors

hSeparatorNew :: IO HSeparator Source #

Creates a new `HSeparator`.